%global packname  BSgenome.Celegans.UCSC.ce2 
%global Rvers     3.0.0

Name:             R-%{packname}
Version:          1.3.19
Release:          5%{dist}
Summary:          Caenorhabditis elegans genome (UCSC Release ce2)
Summary(fr):      Genome de Caenorhabditis elegans (UCSC Release ce2)

Group:            Applications/Engineering 
License:          Artistic 2.0
URL:              http://www.bioconductor.org/packages/release/data/annotation/html/%{packname}.html
Source0:          http://www.bioconductor.org/packages/release/data/annotation/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

Requires:         R-core >= %{Rvers} R-BSgenome
BuildRequires:    R-devel >= %{Rvers} tex(latex) R-BSgenome

%description
Caenorhabditis elegans genome grabbed from UCSC (ce2, Mar. 2004)
and stored in Biostrings objects

%description -l fr
Genome de Caenorhabditis elegans extrait par UCSC (ce2, Mar. 2004)
et stocké dans un objet Biostrings
%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

%check
#this section refered to Biostrings which refer to this package
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/extdata
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/R

#noarch
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION


%changelog
* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.19-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Tom Callaway <spot@fedoraproject.org> - 1.3.19-3
- rebuild for R3

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 pingou <pingou@pingoured.fr> 1.3.19-1
- Update to version 1.3.19

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> 1.3.17-2
- rebuild for R 2.14.0

* Sat Jul 02 2011 pingou <pingou@pingoured.fr> 1.3.17-1
- Update to version 1.3.17

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jun 28 2010 pingou <pingou@pingoured.fr> 1.3.16-2
- Remove the tag to BioC
- Remove R-post and R-postun
- Fix R on R-core

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 1.3.16-1
- Update to 1.3.16
- Remove %post and %%postun
- Adapt %%files to R-2.10.0

* Wed Sep 02 2009 pingou <pingou@pingoured.fr> 1.3.13-4
- Increase release tag

* Wed Sep 02 2009 pingou <pingou@pingoured.fr> 1.3.13-3
- Re-add the dist tag cf https://fedorahosted.org/rel-eng/ticket/2152

* Fri Jul 31 2009 pingou <pingou@pingoured.fr> 1.3.13-2
- Increase release tag

* Fri Jul 31 2009 pingou <pingou@pingoured.fr> 1.3.13-1
- Update license tag
- Use global instead of define
- Update the R and BR (add R-BSgenome)
- Finally update the package

* Sat Jan 05 2008 Pingou <pingoufc4@yahoo.fr> 1.2.0-5
- Remove the distro specific build of this package

* Fri Nov 23 2007 Pingou <pingoufc4@yahoo.fr> 1.2.0-4
- Correction on the dependancies

* Thu Sep 20 2007 Pingou <pingoufc4@yahoo.fr> 1.2.0-3
- Changes in the requires

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 1.2.0-2
-Change the license tag

* Mon Jul 16 2007 Pingou <pingoufc4@yahoo.fr> 1.2.0-1
- initial package for Fedora
